Mycroft Community Forum

Upgrading Debian version on a Mark I

What is the current state of wisdom about upgrading the Debian version on a Mark I? I just reflashed (due to some SD card issues) the latest image, dated from this year, but it seems to still be on jessie (oldoldstable).

Ideally I would run at least stable on it. Anyone else have experience upgrading their Mark I? Does it work out ok these days?

I tried it some time ago by flashing a sd-card with Raspian Stretch image and then perform a + Mycroft git-install. Didn’t work as I couldn’t get the drivers for Mark-I propietary audiocard working.

Another roadblock is the mycroft-wifi-setup client which uses wpa_supplicant. Since Debian Stretch wpa-supplicant is build with some options disabled which are required by the wifi-setup. For a experienced user this should not be a problem as you can SSH via ethernet connection and configure wpa_supplicant.conf manually, but Mycroft company can’t publish this a “ready to go product”. If I remember correctly community user @j1nx is working on a new wifi-setup-client with networkmanager… ?

1 Like